Lists
Remove People From List
Bulk-remove static people membership from a people list
DELETE
/
lists
/
{listId}
/
people
curl -X DELETE "https://api.clustr-ai.com/api/public/lists/l1a2b3c4-.../people" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"person_ids": ["jane-smith"]}'
{
"success": true,
"data": { "message": "People removed from list", "removed": 1 }
}
{
"success": false,
"error": { "message": "list not found", "code": "NOT_FOUND" }
}
Removing someone not on the list is a no-op.
Path Parameters
string
required
Body
string[]
required
curl -X DELETE "https://api.clustr-ai.com/api/public/lists/l1a2b3c4-.../people" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"person_ids": ["jane-smith"]}'
{
"success": true,
"data": { "message": "People removed from list", "removed": 1 }
}
{
"success": false,
"error": { "message": "list not found", "code": "NOT_FOUND" }
}
⌘I
curl -X DELETE "https://api.clustr-ai.com/api/public/lists/l1a2b3c4-.../people" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"person_ids": ["jane-smith"]}'
{
"success": true,
"data": { "message": "People removed from list", "removed": 1 }
}
{
"success": false,
"error": { "message": "list not found", "code": "NOT_FOUND" }
}